<html>
    <head>
        <style>
        div {
            width: 100px;
            height: 100px;
            background: red;
            transition: width 5s, height 5s, transform 2s;
            transition-delay: 1ms;
            transition-timing-function: ease-in;

        }
            
            div:hover {
                width: 300px;
                height: 300px;
                transform: rotate(180deg);
        }
        </style>
    </head>
    <body>
        <h1>Свойство transition</h1>
        <p>Наведите на элемент <b>div</b> для активации свойства <b>transition:</b></p>
        <div></div>

    </body>
</html>